# List Processing Log Results

Retrieves latest screening results persisted in the Processing Log.

Data is populated only when Data Monitor with type "SCREENING" is configured for provided storage.

Endpoint: GET /v2/screeninglogs/{storageId}/results
Version: 3
Security: apiKey

## Path parameters:

  - `storageId` (string, required)
    Business Partner Storage ID.
    Example: "72d6900fce6b326088f5d9d91049e3e6"

## Query parameters:

  - `businessPartnerIds` (array)
    Business Partner IDs.
    Example: ["63e635235c06b7396330fe40"]

  - `dataSourceIds` (array)
    List of Business Partner Data Source IDs.
    Example: ["648824a691d8d2503d65103e"]

  - `externalIds` (array)
    Business Partner External IDs.
    Example: ["The ID managed in the customer's SAP systems."]

  - `status` (string)
    Status of the screening result.
    Enum: "OK", "FAILED", "TRIVIAL"

  - `startAfter` (string)
    Used to retrieve the next page of results.
    Example: "5712566172571652"

  - `limit` (integer)
    Number of results that should be fetched. Maximum 100 results can be returned in one page.
    Example: "50"

  - `from` (string)
    ISO 8601 representation of the timestamp when the result since when data was created.
    Example: "2026-03-13T12:22:41Z"

  - `to` (string)
    ISO 8601 representation of the timestamp when the result until when data was created.
    Example: "2026-03-13T12:22:41Z"

## Response 200 fields (application/json):

  - `startAfter` (string)
    The ID which is used to read the page.
    Example: "5712566172571652"

  - `nextStartAfter` (string)
    Provides a value to be used as a startAfter in next page request.
    Example: "5712566172571652"

  - `limit` (integer)
    Number of items per page.
    Example: "100"

  - `from` (string)
    ISO 8601 representation of the timestamp when the result since when data was created.
    Example: "2026-03-13T12:22:42Z"

  - `to` (string)
    ISO 8601 representation of the timestamp when the result until when data was created.
    Example: "2026-03-13T12:22:42Z"

  - `total` (integer)
    Total number of items which can be paged.
    Example: "67"

  - `values` (array)
    List of Screening Processing Log Results.

  - `values.dataSourceId` (string)
    Unique identifier for a Data Source of the Storage.
    Example: "648824a691d8d2503d65103e"

  - `values.businessPartnerId` (string)
    A CDQ ID identifies a business partner uniquely in the context of the Corporate Data League.
    Example: "63e635235c06b7396330fe40"

  - `values.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `values.configurationId` (string)
    ID of the configuration that should be used during screening.
If not provided screening will try to use configuration attached to the API Key. In this case if no configuration is attached to the API Key, exception will be thrown.
    Example: "64cd0303e1cd5s1e4354a1c6"

  - `values.status` (string)
    OK, FAILED or TRIVIAL.
    Example: "OK"

  - `values.screeningResult` (object)
    Result of Screenings stored in processing log for specific Business Partner.

  - `values.screeningResult.status` (string)
    Status of the screening process.
    Enum: "SUCCEED", "INVALID_REQUEST", "FAILED"

  - `values.screeningResult.entry` (object)
    Compliance entry used for compliance screening checks.

  - `values.screeningResult.entry.names` (array)
    List of names used in compliance check.

  - `values.screeningResult.entry.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `values.screeningResult.entry.addresses` (array)
    List of addresses used in compliance check.

  - `values.screeningResult.entry.addresses.country` (object)
    Country used in compliance screening checks.

  - `values.screeningResult.entry.addresses.country.shortName` (string)
    Country code (ISO 3166-1 alpha-2).
    Example: "CH"

  - `values.screeningResult.entry.addresses.localities` (array)
    List of localities used in compliance check.

  - `values.screeningResult.entry.addresses.localities.value` (string)
    Name of the locality.
    Example: "Sankt Gallen"

  - `values.screeningResult.entry.addresses.thoroughfares` (array)
    List of thoroughfares used in compliance check.

  - `values.screeningResult.entry.addresses.thoroughfares.value` (string)
    Pure name of the thoroughfare not comprising the thoroughfare type such as Street, or Rue.
    Example: "Lukasstraße"

  - `values.screeningResult.entry.addresses.thoroughfares.number` (string)
    Number of the thoroughfare.
    Example: "4"

  - `values.screeningResult.entry.addresses.postCodes` (array)
    List of post codes used in compliance check.

  - `values.screeningResult.entry.addresses.postCodes.value` (string)
    Effective post code.
    Example: "9000"

  - `values.screeningResult.result` (object)
    Holds the results of a compliance screening operation.

  - `values.screeningResult.result.total` (integer)
    Total number of items which can be paged.
    Example: "67"

  - `values.screeningResult.result.nextStartAfter` (string)
    Provides a value to be used as a startAfter in next page request.
    Example: "5712566172571652"

  - `values.screeningResult.result.startAfter` (string)
    The ID which is used to read the page.
    Example: "5712566172571652"

  - `values.screeningResult.result.values` (array)
    List of compliance screening results.

  - `values.screeningResult.result.values.cdqId` (string)
    The unique ID of the entry :.
    Example: "SANCTIONLIST:10120020770"

  - `values.screeningResult.result.values.entry` (object)
    Encapsulates the data used for compliance screening checks.

  - `values.screeningResult.result.values.entry.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `values.screeningResult.result.values.entry.names` (array)
    List of names used in compliance check.

  - `values.screeningResult.result.values.entry.names.shortName` (string)
    The abbreviated variant of a company's full name.
    Example: "CDQ AG"

  - `values.screeningResult.result.values.entry.names.type` (object)
    The type of the name, e.g. a locally used name or an international version.

  - `values.screeningResult.result.values.entry.names.type.url` (string)
    URL to the documentation which summarizes all details of the name type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.names.type.name` (string)
    Display label for the Name Type.
    Example: "Local Name"

  - `values.screeningResult.result.values.entry.names.type.technicalKey` (string)
    Technical Keys of the Name Type.
    Example: "LOCAL"

  - `values.screeningResult.result.values.entry.names.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `values.screeningResult.result.values.entry.names.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.names.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.names.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses` (array)
    List of addresses used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.version` (object)
    CDQ supports multiple versions of addresses comprising different charsets and languages. An address version is a unique combination of a character set and a language.

  - `values.screeningResult.result.values.entry.addresses.version.characterSet` (object)
    Character set.

  - `values.screeningResult.result.values.entry.addresses.version.characterSet.name` (string)
    Name of character set. Supported character sets can be found here.
    Example: "International"

  - `values.screeningResult.result.values.entry.addresses.version.characterSet.technicalKey` (string)
    Technical key of character set. Supported character sets can be found here.
    Example: "INTERNATIONAL"

  - `values.screeningResult.result.values.entry.addresses.version.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.addresses.version.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.addresses.version.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses.externalId` (string)
    Arbitrary identifier type to mark customer IDs that are "external" from CDQ's perspective. This is the identifier a customer provides to identify its records.
    Example: "The ID managed in the customer's SAP systems."

  - `values.screeningResult.result.values.entry.addresses.country` (object)
    Country consisting of the country name and country code (ISO 3166-1 alpha-2).

  - `values.screeningResult.result.values.entry.addresses.country.shortName` (string)
    Country code (ISO 3166-1 alpha-2).
    Example: "CH"

  - `values.screeningResult.result.values.entry.addresses.country.value` (string)
    Country name (ISO 3166-1 alpha-2).
    Example: "Switzerland"

  - `values.screeningResult.result.values.entry.addresses.postCodes` (array)
    List of post codes used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.postCodes.value` (string)
    Effective post code.
    Example: "9000"

  - `values.screeningResult.result.values.entry.addresses.postCodes.type` (object)
    Type of the Post Code.

  - `values.screeningResult.result.values.entry.addresses.postCodes.type.name` (string)
    Display label for the Post Code Type.
    Example: "Regular"

  - `values.screeningResult.result.values.entry.addresses.postCodes.type.url` (string)
    URL to the documentation which summarizes all details of the administrative area.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.postCodes.type.technicalKey` (string)
    Technical key of the Post Code.
    Example: "REGULAR"

  - `values.screeningResult.result.values.entry.addresses.localities` (array)
    List of localities used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.localities.type` (object)
    Type of the Locality.

  - `values.screeningResult.result.values.entry.addresses.localities.type.name` (string)
    Display label for the Locality Type.
    Example: "City"

  - `values.screeningResult.result.values.entry.addresses.localities.type.url` (string)
    URL to the documentation which summarizes all details of the locality type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.localities.type.technicalKey` (string)
    Technical Key of the Locality Type.
    Example: "CITY"

  - `values.screeningResult.result.values.entry.addresses.localities.shortName` (string)
    Abbreviation of the locality.
    Example: "St. Gallen"

  - `values.screeningResult.result.values.entry.addresses.localities.value` (string)
    Name of the locality.
    Example: "Sankt Gallen"

  - `values.screeningResult.result.values.entry.addresses.localities.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.addresses.localities.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.addresses.localities.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses.premises` (array)
    List of premises used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.premises.value` (string)
    The actual value of a Premise in the language of the address.
    Example: "Lukasstraße 4"

  - `values.screeningResult.result.values.entry.addresses.premises.shortName` (string)
    Abbreviation of the Premise.
    Example: "Lukasstr. 4"

  - `values.screeningResult.result.values.entry.addresses.premises.number` (string)
    Number of the Premise.
    Example: "4"

  - `values.screeningResult.result.values.entry.addresses.premises.type` (object)
    Type of the Premise.

  - `values.screeningResult.result.values.entry.addresses.premises.type.name` (string)
    Display label for the Premise Type.
    Example: "Factory"

  - `values.screeningResult.result.values.entry.addresses.premises.type.url` (string)
    URL to the documentation which summarizes all details of the premise type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.premises.type.technicalKey` (string)
    Technical key of the Premise Type.
    Example: "FACTORY"

  - `values.screeningResult.result.values.entry.addresses.premises.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.addresses.premises.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.addresses.premises.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas` (array)
    List of administrative areas used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.value` (string)
    Name of the administrative area.
    Example: "Sankt Gallen"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.shortName` (string)
    Abbreviation for the administrative area.
    Example: "SG"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.fipsCode` (string)
    FIPS codes are numbers which uniquely identify geographic areas. The number of digits in FIPS codes vary depending on the level of geography. State-level FIPS codes have two digits, county-level FIPS codes have five digits of which the first two are the FIPS code of the state to which the county belongs.
    Example: "SZ15"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.isoCode` (string)
    ISO 3166-2 code which uniquely defines the names of countries and their subdivisions (e.g., provinces or states).
    Example: "CH-SG"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.type` (object)
    Type of the Administrative Area.

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.type.name` (string)
    Display label for the Administrative Area Type.
    Example: "COUNTY"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.type.url` (string)
    URL to the documentation which summarizes all details of the administrative area type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.type.technicalKey` (string)
    Technical key of the Administrative Area.
    Example: "COUNTY"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.addresses.administrativeAreas.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares` (array)
    List of thoroughfares used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.type` (object)
    Type of the Thoroughfare.

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.type.name` (string)
    Display label for the Thoroughfare Type Name.
    Example: "Industrial zone"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.type.url` (string)
    URL to the documentation which summarizes all details of the thoroughfare type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.type.technicalKey` (string)
    Technical key of the Thoroughfare Type.
    Example: "INDUSTRIAL_ZONE"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.shortName` (string)
    Abbreviation of the thoroughfare.
    Example: "Lukasstr. 4"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.number` (string)
    Number of the thoroughfare.
    Example: "4"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.value` (string)
    Comprehensive designation of the thoroughfare including the thoroughfare type such as Street, or Rue.
    Example: "Lukasstraße 4"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.name` (string)
    Pure name of the thoroughfare not comprising the thoroughfare type such as Street, or Rue.
    Example: "Lukasstraße"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.direction` (string)
    Direction of the thoroughfare.
    Example: "221-bis Baker Street, North"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.language` (object)
    Naming of a language according to ISO 639-1.

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.language.name` (string)
    ISO 639-1 name of language.
    Example: "German"

  - `values.screeningResult.result.values.entry.addresses.thoroughfares.language.technicalKey` (string)
    ISO 639-1 two-letter code of languages.
    Example: "DE"

  - `values.screeningResult.result.values.entry.addresses.types` (array)
    List of address types used in compliance check.

  - `values.screeningResult.result.values.entry.addresses.types.name` (string)
    Display label for the Address Type.
    Example: "Legal Address"

  - `values.screeningResult.result.values.entry.addresses.types.url` (string)
    URL to the documentation which summarizes all details of the address type.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.entry.addresses.types.technicalKey` (string)
    Technical key of the Address Type.
    Example: "LEGAL_ADDRESS"

  - `values.screeningResult.result.values.entry.list` (object)
    Represents a specific compliance list used during screening checks.

  - `values.screeningResult.result.values.entry.list.technicalKey` (string)
    Technical key for the Compliance List.
    Example: "INFO4C_SL_1"

  - `values.screeningResult.result.values.entry.list.name` (string)
    Name of the list.
    Example: "Notices and Measures"

  - `values.screeningResult.result.values.entry.list.issuingBody` (object)
    An Issuing Body is an organization or government institution that is responsible for assigning unique identifiers to individuals, organizations, or objects.

  - `values.screeningResult.result.values.entry.list.issuingBody.name` (string)
    Preferred display label for an Issuing Body.
    Example: "Amtsgericht Aachen"

  - `values.screeningResult.result.values.entry.list.issuingBody.technicalKey` (string)
    Technical key of the Issuing Body.
    Example: "Amtsgericht Aachen"

  - `values.screeningResult.result.values.entry.additionalInformation` (array)
    Additional information used in compliance check.

  - `values.screeningResult.result.values.entry.additionalInformation.key` (string)
    Key of the generic key/value map.
    Example: "KEY"

  - `values.screeningResult.result.values.entry.additionalInformation.value` (string)
    Key of the generic key/value map.
    Example: "1"

  - `values.screeningResult.result.values.matchingProfile` (object)
    Matching profile used for the match. It contains the matching threshold and the matching scores.

  - `values.screeningResult.result.values.matchingProfile.matchingScores` (object)
    List of the numerical value of similarity between Business Partners or addresses enhanced with the overall score.

  - `values.screeningResult.result.values.matchingProfile.matchingScores.overall` (object)
    Shows numerical value of similarity between Business Partners or address stored in the Data Mirror and the Business Partner from the request.

  - `values.screeningResult.result.values.matchingProfile.matchingScores.overall.explanation` (string)
    Explanation for matching score value.
    Example: "BP: [overall: [IDENTIFIER: 0.55; overall: 0.55;]] A: [overall: [COUNTRY_SHORTNAME: 0.5; overall: 0.5;]]"

  - `values.screeningResult.result.values.matchingProfile.matchingScores.overall.value` (number)
    Matching score value.
    Example: "0.9"

  - `values.screeningResult.result.values.dataSource` (object)
    Data Source of the Data Pool.

  - `values.screeningResult.result.values.dataSource.url` (string)
    Documentation of the data source in the CDQ Wiki.
    Example: "https://meta.cdq.com/Public:CDQ_data_model"

  - `values.screeningResult.result.values.dataSource.name` (string)
    Name of the data source.
    Example: "Receita Federal Brazil"

  - `values.screeningResult.result.values.dataSource.technicalKey` (string)
    Technical key of the data source.
    Example: "BR_RF"

  - `values.screeningResult.result.auditTrail` (object)
    Returns prove that a complete compliance check has been performed including all settings that have been used to do this check.

  - `values.screeningResult.result.auditTrail.performedBy` (string)
    User which performed the compliance check.
    Example: "John Doe"

  - `values.screeningResult.result.auditTrail.screenedNames` (array)
    Searched names used in compliance check.

  - `values.screeningResult.result.auditTrail.screenedNames.value` (string)
    The actual name.
    Example: "Corporate Data Quality AG"

  - `values.screeningResult.result.auditTrail.screeningDate` (string)
    Server time of the check performed.
    Example: "2026-03-13T12:22:41Z"

  - `values.screeningResult.result.auditTrail.screeningSettings` (object)
    All settings for the check performed.

  - `values.screeningResult.result.auditTrail.screeningSettings.listsUsedForCheck` (array)
    Collection of the lists configured in the check

  - `values.screeningResult.result.auditTrail.screeningSettings.listsUsedForCheck.authority` (string)
    Authority that issued the list.
    Example: "The Federal Financial Supervisory Authority (BaFin)"

  - `values.screeningResult.result.auditTrail.screeningSettings.listsUsedForCheck.name` (string)
    Name of the list.
    Example: "Notices and Measures"

  - `values.screeningResult.result.auditTrail.screeningSettings.listsUsedForCheck.type` (string)
    Type of the list.
    Example: "WATCHLIST"

  - `values.screeningResult.result.auditTrail.screeningSettings.listsUsedForCheck.technicalKey` (string)
    Technical key of the list.
    Example: "INFO4C_WL_287"

  - `values.screeningResult.result.auditTrail.screeningSettings.minMatchingScore` (number)
    Matching threshold used for the check.
    Example: "0.8"

  - `values.executedAt` (string)
    ISO 8601 representation of the timestamp when the result data was created.
    Example: "2026-03-13T12:22:42Z"


## Response 400 fields
